org.apache.tinkerpop.gremlin.process.computer.bulkloading

## Class BulkLoaderVertexProgram.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder<BulkLoaderVertexProgram.Builder>
  - - org.apache.tinkerpop.gremlin.process.computer.bulkloading.BulkLoaderVertexProgram.Builder

- All Implemented Interfaces:
    VertexProgram.Builder
  Enclosing class:
    BulkLoaderVertexProgram

      public static class BulkLoaderVertexProgram.Builder
      extends AbstractVertexProgramBuilder<BulkLoaderVertexProgram.Builder>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configuration`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkLoaderVertexProgram.Builder` | `bulkLoader(Class<? extends BulkLoader> clazz)` Sets the class of the BulkLoader implementation to be used.
    `BulkLoaderVertexProgram.Builder` | `bulkLoader(String className)` Sets the class name of the BulkLoader implementation to be used.
    `BulkLoaderVertexProgram` | `create(Graph graph)`
    `BulkLoaderVertexProgram.Builder` | `intermediateBatchSize(int batchSize)` The batch size for a single transaction (number of vertices in the vertex loading stage; number of edges in the edge loading stage).
    `BulkLoaderVertexProgram.Builder` | `keepOriginalIds(boolean keepOriginalIds)` Specifies whether the original vertex identifiers should be kept in the target graph or not.
    `BulkLoaderVertexProgram.Builder` | `userSuppliedIds(boolean useUserSuppliedIds)` Specifies whether user supplied identifiers should be used when the bulk loader creates vertices in the target graph.
    `BulkLoaderVertexProgram.Builder` | `vertexIdProperty(String name)` Sets the name of the property that is used to store the original vertex identifiers in the target graph.
    `BulkLoaderVertexProgram.Builder` | `writeGraph(Configuration configuration)` A configuration for the target graph that can be passed to GraphFactory.open().
    `BulkLoaderVertexProgram.Builder` | `writeGraph(String configurationFile)` A configuration for the target graph that can be passed to GraphFactory.open().

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.computer.VertexProgram.Builder

      `create`

- - ### Method Detail

    - #### create

          public BulkLoaderVertexProgram create(Graph graph)

      Specified by:
        `create` in interface `VertexProgram.Builder`
      Overrides:
        `create` in class `AbstractVertexProgramBuilder<BulkLoaderVertexProgram.Builder>`

    - #### bulkLoader

          public BulkLoaderVertexProgram.Builder bulkLoader(String className)

      Sets the class name of the BulkLoader implementation to be used.

    - #### bulkLoader

          public BulkLoaderVertexProgram.Builder bulkLoader(Class<? extends BulkLoader> clazz)

      Sets the class of the BulkLoader implementation to be used.

    - #### vertexIdProperty

          public BulkLoaderVertexProgram.Builder vertexIdProperty(String name)

      Sets the name of the property that is used to store the original vertex identifiers in the target graph.

    - #### userSuppliedIds

          public BulkLoaderVertexProgram.Builder userSuppliedIds(boolean useUserSuppliedIds)

      Specifies whether user supplied identifiers should be used when the bulk loader creates vertices in the target graph.

    - #### keepOriginalIds

          public BulkLoaderVertexProgram.Builder keepOriginalIds(boolean keepOriginalIds)

      Specifies whether the original vertex identifiers should be kept in the target graph or not. In case of false BulkLoaderVertexProgram will add another iteration to remove the properties and it won't be possible to use the data for further incremental bulk loads.

    - #### intermediateBatchSize

          public BulkLoaderVertexProgram.Builder intermediateBatchSize(int batchSize)

      The batch size for a single transaction (number of vertices in the vertex loading stage; number of edges in the edge loading stage).

    - #### writeGraph

          public BulkLoaderVertexProgram.Builder writeGraph(String configurationFile)
                                                     throws ConfigurationException

      A configuration for the target graph that can be passed to GraphFactory.open().
      Throws:
        `ConfigurationException`

    - #### writeGraph

          public BulkLoaderVertexProgram.Builder writeGraph(Configuration configuration)

      A configuration for the target graph that can be passed to GraphFactory.open().

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.